summaryrefslogtreecommitdiffstats
path: root/src/main/scripts/preDataRestore.sh
diff options
context:
space:
mode:
authorLaMont, William (wl2432) <wl2432@us.att.com>2019-01-17 13:48:07 -0500
committerKajur, Harish (vk250x) <vk250x@att.com>2019-01-22 10:46:02 -0500
commit090957c44f428e13f4f0898f27e017196ad86fda (patch)
tree6f5fa96d5ffc17f9c3d6f81d8e0245a209036214 /src/main/scripts/preDataRestore.sh
parentb81d8172dc1d09acb535b78740e27bfaf0c7dc6d (diff)
merge of v15 changes to onap
Issue-ID: AAI-2088 Change-Id: I588499af58d0e799d860b2b4362da7c48050fafd Signed-off-by: LaMont, William (wl2432) <wl2432@us.att.com> Signed-off-by: Kajur, Harish (vk250x) <vk250x@att.com>
Diffstat (limited to 'src/main/scripts/preDataRestore.sh')
-rw-r--r--src/main/scripts/preDataRestore.sh44
1 files changed, 44 insertions, 0 deletions
diff --git a/src/main/scripts/preDataRestore.sh b/src/main/scripts/preDataRestore.sh
new file mode 100644
index 0000000..c176a1a
--- /dev/null
+++ b/src/main/scripts/preDataRestore.sh
@@ -0,0 +1,44 @@
+#!/bin/ksh
+#
+# This script does just the first two steps of our normal dataRestoreFromSnapshot script.
+# This should only be needed if we are trouble-shooting and need to run step 3 (the
+# actual call to dataSnapshot) separately with different input params.
+#
+# This script does these two steps:
+# 1) clear out whatever data and schema are currently in the db
+# 2) rebuild the schema (using the SchemaGenerator)
+#
+
+COMMON_ENV_PATH=$( cd "$(dirname "$0")" ; pwd -P )
+. ${COMMON_ENV_PATH}/common_functions.sh
+
+start_date;
+check_user;
+
+if [ "$#" -lt 1 ]; then
+ echo "Illegal number of parameters"
+ echo "usage: $0 previous_snapshot_filename"
+ exit 1
+fi
+
+source_profile;
+export JAVA_PRE_OPTS=${JAVA_PRE_OPTS:--Xms6g -Xmx8g};
+
+#### Step 1) clear out the database
+execute_spring_jar org.onap.aai.datasnapshot.DataSnapshot ${PROJECT_HOME}/resources/logback.xml "CLEAR_ENTIRE_DATABASE" "$1" "$2"
+if [ "$?" -ne "0" ]; then
+ echo "Problem clearing out database."
+ exit 1
+fi
+
+#### Step 2) rebuild the db-schema
+execute_spring_jar org.onap.aai.schema.GenTester ${PROJECT_HOME}/resources/logback.xml "GEN_DB_WITH_NO_DEFAULT_CR"
+if [ "$?" -ne "0" ]; then
+ echo "Problem rebuilding the schema (SchemaGenerator)."
+ exit 1
+fi
+
+
+
+end_date;
+exit 0